Subject: Profile collisions are ignored, installing multiple versions of the same package is silently broken

From: Maxime Devos <[email-masked]>
Date: Sat, 12 Mar 2022 10:45:46 +0100

Hi guix,

Try

$ guix shell --pure bash [email-masked] [email-masked]
$ ~/.guix-profile/bin/ls -l $GUIX_ENVIRONMENT/lib/libpango*.so

Result:
[...]/lib/libpango-1.0.so -> [...]-pango-1.42.4/lib/libpango-1.0.so
[...]/lib/libpangocairo-1.0.so -> [...]-pango-1.42.4/lib/libpangocairo-1.0.so
[...]/lib/libpangoft2-1.0.so -> [...]-1.42.4/lib/libpangoft2-1.0.so
[...]/lib/libpangoxft-1.0.so -> [...]-pango-1.42.4/lib/libpangoxft-1.0.so

Question: how does this even work?  Aren't error messages about profile
collisions a thing?  Another question: if this use case was supported,
shouldn't it point to the newer pango instead of the older pango?

Greetings,
Maxime.